%define name skobo
%define version 0.5.1
%define release %mkrel 1
%define execname kobodl

Summary:	Kobo Deluxe is an SDL port of Akira Higuchi's game XKobo 
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Games/Arcade
URL:		http://www.olofson.net/kobodl/
Source0:	http://olofson.net/kobodl/download/%{name}-%{version}.tar.bz2
Source5:	%{name}-16.png
Source6:	%{name}-32.png
Source7:	%{name}-48.png
BuildRoot: 	%{_tmppath}/%{name}-root
BuildRequires: 	SDL_image-devel
Requires:       libSDL1.2
Requires:       libSDL_image1.2

%description
Kobo Deluxe is an SDL port of Akira Higuchi's game XKobo. It adds sound,
smoother animation, filtered high resolution support, a more intuitive menu
driven user interface, joystick support and other features.

%prep
%setup -q

%build
%configure2_5x	--bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make kobo_scoredir=%{_localstatedir}/games/%{name}

%install

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/games/%{name}
mkdir -p $RPM_BUILD_ROOT%{_menudir}

install -m  644 %SOURCE6 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m  644 %SOURCE5 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m  644 %SOURCE7 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%makeinstall bindir=%{buildroot}%{_gamesbindir} datadir=%{buildroot}%{_gamesdatadir}

cat > %{buildroot}%{_menudir}/%{name} << EOF 
?package(%{name}):\
needs="x11" \
section="More Applications/Games/Arcade" \
title="Kobo Deluxe" \
longtitle="Arcade video game" \
command="%{_gamesbindir}/%{name}" \
icon="%{name}.png" \
xdg="true"
EOF

cat > %{buildroot}%{_datadir}/applications/pclinuxos-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Kobo Deluxe
Comment=Arcade video game
Exec=%{execname}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF


%clean
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc COPYING* ChangeLog README* TODO
%attr(2755, root, games) %{_gamesbindir}/kobodl
%attr(775, root, games) %{_localstatedir}/games/%{name}
%{_gamesdatadir}/*
%{_mandir}/man6/*
%{_datadir}/applications/*
%{_menudir}/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Thu Apr 04 2008 rifter <rifter4444 at googlemail dat cam> 0.5.1-1pclos2007
- update to 0.5.1, cleaned up the specfile
- fix category

* Mon Nov 06 2006 Bart the Build Bot <bartbot at pclinuxos dot com> 0.4-0.pre10.8pclos2007
- Build for PCLinuxOS 2007

